ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AMBARI-13900) RU: Failed to install new stack on SLES
Date Mon, 16 Nov 2015 10:39:10 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-13900?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andrew Onischuk resolved AMBARI-13900.
--------------------------------------
    Resolution: Fixed

Committed to trunk and branch-2.1

> RU: Failed to install new stack on SLES 
> ----------------------------------------
>
>                 Key: AMBARI-13900
>                 URL: https://issues.apache.org/jira/browse/AMBARI-13900
>             Project: Ambari
>          Issue Type: Bug
>            Reporter: Andrew Onischuk
>            Assignee: Andrew Onischuk
>             Fix For: 2.1.3
>
>
> Failed to install new stack 2.3.4.0-3204  
> Cluster: <http://172.22.127.163:8080> \- 48 h -stop when done - os-s11-3
> -tvmuws-c102dalsec
>     
>     
>     
>     No handlers could be found for logger "root"
>     2015-11-12 03:46:55,653 - Package Manager failed to install packages. Error: Execution
of '/usr/bin/zypper --quiet install --auto-agree-with-licenses --no-confirm --repo HDP-2.3.4.0-3204
--repo HDP-UTILS-2.3.4.0-3204 'hadoop_2_3_4_0_3204*'' returned 4. Problem: nothing provides
fuse needed by hadoop_2_3_4_0_3204-hdfs-fuse-2.7.1.2.3.4.0-3204.x86_64
>      Solution 1: do not install hadoop_2_3_4_0_3204-hdfs-fuse-2.7.1.2.3.4.0-3204.x86_64
>      Solution 2: break hadoop_2_3_4_0_3204-hdfs-fuse-2.7.1.2.3.4.0-3204.x86_64 by ignoring
some of its dependencies
>     
>     Choose from above solutions by number or cancel [1/2/c] (c): c
>     Traceback (most recent call last):
>       File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py",
line 308, in install_packages
>         skip_repos=[self.REPO_FILE_NAME_PREFIX + "*"] if OSCheck.is_redhat_family() else
[])
>       File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line
154, in __init__
>         self.env.run()
>       File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py",
line 156, in run
>         self.run_action(resource, action)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py",
line 119, in run_action
>         provider_action()
>       File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py",
line 45, in action_install
>         self.install_package(package_name, self.resource.use_repos, self.resource.skip_repos)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/zypper.py",
line 70, in install_package
>         shell.checked_call(cmd, sudo=True, logoutput=self.get_logoutput())
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
70, in inner
>         result = function(command, **kwargs)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
92, in checked_call
>         tries=tries, try_sleep=try_sleep)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
140, in _call_wrapper
>         result = _call(command, **kwargs_copy)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
291, in _call
>         raise Fail(err_msg)
>     Fail: Execution of '/usr/bin/zypper --quiet install --auto-agree-with-licenses --no-confirm
--repo HDP-2.3.4.0-3204 --repo HDP-UTILS-2.3.4.0-3204 'hadoop_2_3_4_0_3204*'' returned 4.
Problem: nothing provides fuse needed by hadoop_2_3_4_0_3204-hdfs-fuse-2.7.1.2.3.4.0-3204.x86_64
>      Solution 1: do not install hadoop_2_3_4_0_3204-hdfs-fuse-2.7.1.2.3.4.0-3204.x86_64
>      Solution 2: break hadoop_2_3_4_0_3204-hdfs-fuse-2.7.1.2.3.4.0-3204.x86_64 by ignoring
some of its dependencies
>     
>     Choose from above solutions by number or cancel [1/2/c] (c): c
>     Traceback (most recent call last):
>       File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py",
line 415, in <module>
>         InstallPackages().execute()
>       File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 218, in execute
>         method(env)
>       File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py",
line 152, in actionexecute
>         raise Fail("Failed to distribute repositories/install packages")
>     resource_management.core.exceptions.Fail: Failed to distribute repositories/install
packages
>     
> On another cluster tried to install HDP-2.2.9.0-3370:
>     
>     
>     
>     No handlers could be found for logger "root"
>     2015-11-12 04:02:23,586 - Package Manager failed to install packages. Error: Execution
of '/usr/bin/zypper --quiet install --auto-agree-with-licenses --no-confirm --repo HDP-2.2.9.0-3370
--repo HDP-UTILS-2.2.9.0-3370 'hadoop_2_2_9_0_3370*'' returned 4. Problem: nothing provides
libfuse2 needed by hadoop_2_2_9_0_3370-hdfs-fuse-2.6.0.2.2.9.0-3370.x86_64
>      Solution 1: do not install hadoop_2_2_9_0_3370-hdfs-fuse-2.6.0.2.2.9.0-3370.x86_64
>      Solution 2: break hadoop_2_2_9_0_3370-hdfs-fuse-2.6.0.2.2.9.0-3370.x86_64 by ignoring
some of its dependencies
>     
>     Choose from above solutions by number or cancel [1/2/c] (c): c
>     Traceback (most recent call last):
>       File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py",
line 308, in install_packages
>         skip_repos=[self.REPO_FILE_NAME_PREFIX + "*"] if OSCheck.is_redhat_family() else
[])
>       File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line
154, in __init__
>         self.env.run()
>       File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py",
line 156, in run
>         self.run_action(resource, action)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py",
line 119, in run_action
>         provider_action()
>       File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py",
line 45, in action_install
>         self.install_package(package_name, self.resource.use_repos, self.resource.skip_repos)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/zypper.py",
line 70, in install_package
>         shell.checked_call(cmd, sudo=True, logoutput=self.get_logoutput())
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
70, in inner
>         result = function(command, **kwargs)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
92, in checked_call
>         tries=tries, try_sleep=try_sleep)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
140, in _call_wrapper
>         result = _call(command, **kwargs_copy)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
291, in _call
>         raise Fail(err_msg)
>     Fail: Execution of '/usr/bin/zypper --quiet install --auto-agree-with-licenses --no-confirm
--repo HDP-2.2.9.0-3370 --repo HDP-UTILS-2.2.9.0-3370 'hadoop_2_2_9_0_3370*'' returned 4.
Problem: nothing provides libfuse2 needed by hadoop_2_2_9_0_3370-hdfs-fuse-2.6.0.2.2.9.0-3370.x86_64
>      Solution 1: do not install hadoop_2_2_9_0_3370-hdfs-fuse-2.6.0.2.2.9.0-3370.x86_64
>      Solution 2: break hadoop_2_2_9_0_3370-hdfs-fuse-2.6.0.2.2.9.0-3370.x86_64 by ignoring
some of its dependencies
>     
>     Choose from above solutions by number or cancel [1/2/c] (c): c
>     Traceback (most recent call last):
>       File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py",
line 415, in <module>
>         InstallPackages().execute()
>       File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 218, in execute
>         method(env)
>       File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py",
line 152, in actionexecute
>         raise Fail("Failed to distribute repositories/install packages")
>     resource_management.core.exceptions.Fail: Failed to distribute repositories/install
packages
>     



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message